GET /data/persons/task-dates

For each active person, return the first start date of all tasks assigned to them and the last end date. Useful for schedule planning.

Query parameters

  • project_id string(uuid)

    Filter by project ID

Responses

  • 200 application/json

    First start date and last end date for tasks per person

    Hide response attributes Show response attributes object
    • person_id string(uuid)
    • first_start_date string(date)
    • last_end_date string(date)
GET /data/persons/task-dates
curl -X GET "http://api.example.com/data/persons/task-dates?project_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/task-dates"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/persons/task-dates' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "first_start_date": "2024-01-15",
    "last_end_date": "2024-03-21"
  }
]